package com.adealink.weparty.joinus

import com.adealink.frame.spi.RegisterService
import com.adealink.weparty.App
import com.adealink.weparty.joinus.datasource.remote.JoinUsHttpService
import com.adealink.weparty.module.joinus.IJoinUsService

@RegisterService(IJoinUsService::class)
class JoinUsServiceImpl : IJoinUsService {

    private val activityHttpService by lazy {
        App.instance.networkService.getHttpService(JoinUsHttpService::class.java)
    }


    override fun getService(): IJoinUsService {
        return this
    }

    override fun onLogout() {

    }

}